Labels

Tuesday, July 20, 2004

Install bugmenot in your browser

Now you can install bugmenot in your Mozilla browser. This includes Firebird 0.7, Firefox 0.8, Firefox 0.9, Mozilla 1.6, 1.7b and Netscape 7.1.

So next time you go to a site that requires registration, bugmenot will be there!
via [ boingboing ]

No comments:

Post a Comment